Skip to main content
GET
Get community details

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Path Parameters

community_id
string
required

The unique numeric ID of the community.

Example:

"1234567890"

Response

Successfully retrieved community details.

Comprehensive Twitter community data.

id
string
required

Unique community identifier.

Example:

"1234567890"

name
string
required

Name of the community.

Example:

"Web Developers"

description
string | null

Description of the community.

member_count
integer | null

Number of members.

is_member
boolean | null

Whether the authenticated user is a member.

role
enum<string> | null

Role of the authenticated user.

Available options:
member,
moderator,
admin,
non_member
is_nsfw
boolean | null

Whether the community is marked as NSFW.

join_policy
enum<string> | null

Join policy for the community.

Available options:
Open,
Closed
invites_policy
string | null

Invites policy for the community.

created_at
integer | null

Creation timestamp in milliseconds.

created_at_datetime
string | null

Creation date in ISO 8601 format.

banner
object | null

Community banner image.

creator_id
string | null

Numeric ID of the community creator.

creator_username
string | null

Username of the community creator.

creator_name
string | null

Display name of the community creator.

admin_id
string | null

Numeric ID of the community admin.

admin_username
string | null

Username of the community admin.

admin_name
string | null

Display name of the community admin.

rules
object[] | null

Community rules.